classification
Title: 3.4 cherry pick: 82ec02db7fe6 & ec42ab5e0cb3 Windows installer fixes, pip uninstall failure
Type: behavior Stage: commit review
Components: Windows Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: larry Nosy List: larry, loewis, ncoghlan, vstinner, yselivanov
Priority: release blocker Keywords:

Created on 2014-02-28 13:42 by ncoghlan, last changed 2014-03-06 17:24 by larry. This issue is now closed.

Messages (5)
msg212431 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-02-28 13:42
Larry, these two commits are the fixes for issue 20757 (making sure Windows uninstallation still works even if the user has independently updated pip) and issue 20568 (making sure the bare "pip" command is installed on Windows).

Their NEWS entries are in the 3.4.1 section on default, so that will likely need some tweaks.
msg212432 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-02-28 13:43
Changesets 82ec02db7fe6 and ec42ab5e0cb3 (to get the link).
msg212706 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-03-04 10:37
If I understood correctly, Python 3.4 cannot be uninstalled if pip was upgraded. IMO this bug is critical and must be fixed in Python 3.4.0.

But be careful, the fix has also a bug: it requires changeset 16f91d87ff39 (see cherry-pick issue #20830).
msg212758 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-03-05 09:47
Victor: all correct.
msg212816 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-03-06 17:19
ok.
History
Date User Action Args
2014-03-06 17:24:20larrysetstatus: open -> closed
resolution: fixed
2014-03-06 17:19:37larrysetmessages: + msg212816
2014-03-05 09:47:55loewissetmessages: + msg212758
2014-03-04 10:37:51vstinnersettitle: 3.4 cherry pick: 82ec02db7fe6 & ec42ab5e0cb3 Windows installer fixes -> 3.4 cherry pick: 82ec02db7fe6 & ec42ab5e0cb3 Windows installer fixes, pip uninstall failure
2014-03-04 10:37:28vstinnersetmessages: + msg212706
2014-03-04 10:34:54vstinnerlinkissue20830 dependencies
2014-02-28 16:01:33yselivanovsetnosy: + yselivanov
2014-02-28 13:43:56vstinnersetnosy: + vstinner
messages: + msg212432
2014-02-28 13:42:52ncoghlancreate